import { withHooks } from "@saasquatch/stencil-hooks";
import { Component, h, Host, Method } from "@stencil/core";
/**
 * @uiName Invoice Table Download Column
 * @validParents ["sqm-invoice-table"]
 */
export class InvoiceTableGenericColumn {
  constructor() {
    withHooks(this);
  }
  disconnectedCallback() { }
  async renderCell(data) {
    return (h("sqm-invoice-table-download-cell", { downloadUrl: data.downloadUrl }));
  }
  async renderLabel() {
    return h("span", null);
  }
  render() {
    return (h(Host, { style: { display: "none" } },
      h("slot", null)));
  }
  static get is() { return "sqm-invoice-table-download-column"; }
  static get encapsulation() { return "shadow"; }
  static get methods() { return {
    "renderCell": {
      "complexType": {
        "signature": "(data: Invoice) => Promise<any>",
        "parameters": [{
            "tags": [],
            "text": ""
          }],
        "references": {
          "Promise": {
            "location": "global"
          },
          "Invoice": {
            "location": "import",
            "path": "../../../saasquatch"
          }
        },
        "return": "Promise<any>"
      },
      "docs": {
        "text": "",
        "tags": []
      }
    },
    "renderLabel": {
      "complexType": {
        "signature": "() => Promise<any>",
        "parameters": [],
        "references": {
          "Promise": {
            "location": "global"
          }
        },
        "return": "Promise<any>"
      },
      "docs": {
        "text": "",
        "tags": []
      }
    }
  }; }
}
